petsc-3.4.2 2013-07-02

# PetscObjectComposedDataSetInt

attach integer data to a PetscObject

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectComposedDataSetInt(PetscObject obj,int id,int data)

Not collective

### Input parameters

| obj | - the object to which data is to be attached
| id | - the identifier for the data
| data | - the data to be attached

Notes The data identifier can best be determined through a call to PetscObjectComposedDataRegister()

Level:developer
Location:include/petsc-private/petscimpl.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages